Skip to main content
PUT
/
contract
/
v1
/
contracts
/
{contractId}
/
annexes
/
{annexId}
Update a contract annex
curl --request PUT \
  --url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startAt": "2023-12-25",
  "endAt": "2023-12-25",
  "expiredAt": "2023-12-25",
  "jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workdayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "holidays": 49,
  "comment": "<string>",
  "code": "<string>",
  "socialSecurityNumber": "<string>",
  "cbo": "<string>",
  "remoteWork": true,
  "seniorityDate": "2023-12-25",
  "jobPositionDescription": "<string>",
  "weeklyHours": 123,
  "maxLegalWeeklyHours": 123,
  "maxLegalAnnualHours": 123,
  "percentageWorkDay": 123,
  "fte": 0.5,
  "workDays": [
    {
      "day": "monday",
      "hour": 123
    }
  ],
  "trialPeriod": {
    "trialPeriodType": "months",
    "quantity": "6"
  },
  "trialPeriodEndDate": "2023-12-25",
  "details": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

contractId
string<uuid>
required

The ID of the contract

annexId
string<uuid>
required

The ID of the annex to update

Body

application/json

Contract annex object with fields to update

startAt
string<date>
required

Start date of the annex

endAt
string<date>

End date of the annex

expiredAt
string<date>

Expiration date of the annex

jobChargeId
string<uuid>

The ID of the job charge

workdayTypeId
string<uuid>

The ID of the workday type

contractTypeId
string<uuid>

The ID of the contract type

agreementId
string<uuid>

The ID of the agreement

degreeId
string<uuid>

The ID of the degree

jobLevelId
string<uuid>

The ID of the job level

holidays
integer

Number of holidays

Required range: 0 <= x <= 99
comment
string

Comments about the annex

Maximum string length: 500
code
string

Code of the annex

socialSecurityNumber
string

The social security number

cbo
string

Brazilian occupation code (CBO)

Pattern: ^\d{4}(-\d{2})?$
remoteWork
boolean

Whether remote work is allowed

seniorityDate
string<date>

Seniority date

jobPositionDescription
string

The job position description

Maximum string length: 500
weeklyHours
number<float>

Weekly working hours

Max legal weekly working hours

Max legal annual working hours

percentageWorkDay
number<float>

Percentage of workday

fte
number<float>

The FTE value should be between 0 and 1

Required range: 0 <= x <= 1
workDays
object[]

Working days configuration

trialPeriod
object
trialPeriodEndDate
string<date>

End date of the trial period

details
string

Additional details about the annex

Maximum string length: 500

Response

200 - application/json

Contract annex created successfully

data
object
meta
object